@ECHO OFF

REM #---------------Begin Copyright - do not add comments here--------------
REM #
REM # 5724-B07
REM # (C) Copyright IBM Corp. 2003.  All Rights Reserved.
REM #
REM # US Government Users Restricted Rights - Use, duplication or
REM # disclosure restricted by GSA ADP Schedule Contract with
REM # IBM Corp.
REM #
REM #--------------End Copyright--------------------------------------------
setlocal
if not exist "%~f1\bin\envSettings.bat" set RC=255&& echo Required product file %~f1\bin\envSettings.bat does not exist. && goto USAGE

call "%~f1\bin\envSettings.bat"

echo Starting the patch installer...
"%WAS_ROOT%\java\bin\java" -cp "%CLASSPATH%;DYMPatchInstall.jar" com.tivoli.dms.install.patch.PatchInstall "%~f1"
set RC=%ERRORLEVEL%

if "%RC%"=="0" echo Successful patch installation && goto END

echo Unsuccessful patch installation
goto END


:USAGE
echo Usage:
echo.
echo    Invalid product root was specified
echo.
echo    %~f0 ^<Product Root^>
echo.

:END
echo Return code: %RC%
set ERRORLEVEL=%RC%
endlocal